GDB (xrefs)

Public Attributes | List of all members
prologue_value Struct Reference

`#include "prologue-value.h"`

## Public Attributes
enum prologue_value_kind | kind
int | reg
CORE_ADDR | k

## Detailed Description

Definition at line 140 of file prologue-value.h.

## Member Data Documentation

## ◆ k

CORE_ADDR prologue_value::k

Definition at line 149 of file prologue-value.h.

Referenced by aarch64_analyze_prologue(), arc_analyze_prologue(), arm_analyze_prologue(), check_for_saved(), pv_area::fetch(), pv_area::find_reg(), m32c_analyze_prologue(), mep_analyze_prologue(), mn10300_analyze_prologue(), pv_add(), pv_constant(), pv_is_identical(), pv_is_register_k(), pv_logical_and(), pv_register(), pv_subtract(), s390_check_for_saved(), s390_prologue_frame_unwind_cache(), pv_area::scan(), pv_area::store(), and thumb_analyze_prologue().

## ◆ kind

enum prologue_value_kind prologue_value::kind

Definition at line 144 of file prologue-value.h.

Referenced by constant_last(), pv_area::find_reg(), pv_add(), pv_constant(), pv_is_constant(), pv_is_identical(), pv_is_register(), pv_is_register_k(), pv_logical_and(), pv_register(), pv_subtract(), s390_analyze_prologue(), pv_area::scan(), and pv_area::store_would_trash().

## ◆ reg

int prologue_value::reg

Definition at line 148 of file prologue-value.h.

Referenced by pv_area::find_reg(), pv_add(), pv_constant(), pv_is_identical(), pv_is_register(), pv_is_register_k(), pv_logical_and(), pv_register(), pv_subtract(), pv_area::scan(), and pv_area::store_would_trash().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/prologue-value.h